<?php

include '../../../script/conexion.php';

$nombre_usuario = $_POST['nombre_usuario'];
$fecha = $_POST['fecha'];
$nombre_tercero = $_POST['nombre_tercero'];
$numero_factura = $_POST['numero_factura'];
$total_compra = 0;
$observacion = $_POST['observacion'];

// RECUPERAR CODIGO DE LA ULTIMA COMPRA
$sql3cc = "SELECT numero_compra FROM alm_compra WHERE numero_compra=(SELECT  MAX(numero_compra) as mayor FROM alm_compra)";
$query3cc = mysqli_query($conn, $sql3cc);
$row3cc = $query3cc->fetch_assoc();

// SUMAR PARA EL CODIGO SIGUIENTE DE LA COMPRA, DE ACUERDO AL CODIGO RECUPERADO EN LA CONSULTA ANTERIOR
if (isset($row3cc['numero_compra'])) {
    $numero = intval(preg_replace('/[^0-9]+/', '', $row3cc['numero_compra']), 10);
} else {
    $numero = 0;
}
// CONDICION PARA SABER CUANTOS CEROS DEBE LLEVAR EL CODIGO DE COMPRA A LA IZQUIERDA

$sumado = $numero + 1;

// CONDICION PARA SABER CUANTOS CEROS DEBE LLEVAR EL CODIGO DE venta A LA IZQUIERDA

$codigo = "$sumado";

$sql = "INSERT INTO alm_compra (id, nombre_usuario, numero_compra, fecha, nombre_tercero, numero_factura,  observacion, total_compra, estado) VALUES "
        . "(NULL, '$nombre_usuario', '$codigo', '$fecha', '$nombre_tercero', '$numero_factura', '$observacion', '$total_compra', 'Proceso')";
if ($conn->query($sql) === TRUE) {

    $sql5 = "SELECT MAX(id) as id FROM alm_compra WHERE fecha='$fecha' AND nombre_tercero='$nombre_tercero' AND nombre_usuario='$nombre_usuario'";
    $query5 = $conn->query($sql5);
    $row5 = $query5->fetch_assoc();

    echo '<script language = javascript>
                        self.location = "../compra-detalle.php?id_compra=' . $row5['id'] . '"
                </script>';
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}

